Create new product link
Create new product link
Required permissions: PRODUCT
post/tenants/{tenantUid}/products/{productUid}/links
Authorizations
AuthorizationstringRequired
Token received from the auth service
Path parameters
productUidstringRequiredPattern:
Reference to a Product.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
linkTypestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| INSURANCE | Insurance products allowed to be added to the product |
| ALTERNATIVE | Alternative products if the main product is not available |
| ACCESSORY | Accessory products for the main product |
| SPARE_PART | Spare part that can be used to repair the product |
| SERVICE | Service products. |
| FREIGHT_SERVICE | Freight service products. |
| AUTO_ADD | The products will be auto added to the order and can not be removed without removing the main product. |
productUidstringRequiredPattern:
^[A-Za-z0-9-_]+productLinkUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
productLinkUidstringRequiredPattern:
^[A-Za-z0-9-_]+linkTypestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| INSURANCE | Insurance products allowed to be added to the product |
| ALTERNATIVE | Alternative products if the main product is not available |
| ACCESSORY | Accessory products for the main product |
| SPARE_PART | Spare part that can be used to repair the product |
| SERVICE | Service products. |
| FREIGHT_SERVICE | Freight service products. |
| AUTO_ADD | The products will be auto added to the order and can not be removed without removing the main product. |
productUidstringRequiredPattern:
^[A-Za-z0-9-_]+post/tenants/{tenantUid}/products/{productUid}/links
POST /v2/tenants/{tenantUid}/products/{productUid}/links HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 68
{
"linkType": "INSURANCE",
"productUid": "text",
"productLinkUid": "text"
}200
Example response
{
"productLinkUid": "text",
"linkType": "INSURANCE",
"productUid": "text"
}Last updated
Was this helpful?

